systemtap (4.4-2ubuntu0.1) impish; urgency=medium

  * d/p/dtrace-predictable-tmp-file.patch:
    Cherry-pick fix from upstream to avoid a race condition due to
    use of a predictable temporary file name. (LP: #1962785).

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Mar 2022 13:47:08 -0600

systemtap (4.4-2) unstable; urgency=medium

  * Add debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff (Closes: #976634)

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Dec 2020 13:57:23 +0100

systemtap (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/get-user-pages-remote.patch added in 4.3-4 and now
    included upstream.
  * Drop debian/patches/vermagic-hiding.patch and
    debian/patches/mmap_sem-transition.patch added in 4.3-3 and now included
    upstream.
  * Drop debian/patches/rlim_t.patch added in 4.3-2 and now included upstream.
  * Update debian/patches/stap-prep.patch.

 -- Emanuele Rocca <ema@debian.org>  Wed, 18 Nov 2020 14:39:13 +0100

systemtap (4.3-4) unstable; urgency=medium

  * Add debian/patches/get-user-pages-remote.patch to ensure compatibility with
    5.9 kernels.
  * Install /usr/bin/stap-report, stap-report(1), stapref(1), stapsh(8), and
    systemtap-service(8).
  * Ship Czech man pages with systemtap-doc.

 -- Emanuele Rocca <ema@debian.org>  Wed, 28 Oct 2020 14:45:31 +0100

systemtap (4.3-3) unstable; urgency=high

  * Add debian/patches/mmap_sem-transition.patch to fix stap error: ‘struct
    mm_struct’ has no member named ‘mmap_sem’. (Closes: #972247)
  * Add debian/patches/vermagic-hiding.patch to fix stap error: 'This header
    can be included from kernel/module.c or *.mod.c only'
  * Set architecture of binary packages to linux-any. (Closes: #969968)
  * Add FORCE_SOURCE_DATE to debian/rules. (Closes: #961830)
  * Use salsa-ci-team/pipeline/raw/master/recipes/debian.yml instead of
    salsa-ci-team/pipeline/raw/master/salsa-ci.yml in our own salsa-ci.yml
    configuration to fix CI pipeline error: undefined dependency:
    extract-source.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Oct 2020 11:06:19 +0200

systemtap (4.3-2) unstable; urgency=medium

  * Add debian/patches/rlim_t.patch to fix FTBFS: bad rlim_t
    assumptions. Thank you Thorsten Glaser! (Closes: #968327)
  * Drop debian/patches/fix-emacs24.diff. Installing systemtap-common
    and then emacs-nox 1:26.3+1-2 (currently in sid) works fine without this
    patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Aug 2020 13:12:27 +0200

systemtap (4.3-1) unstable; urgency=medium

  * New upstream release
    - Drop patches fallback-comment-gcc-9.diff and
      fix-autoconf-stack-trace-strict-prototypes.diff, added upstream
    - Update systemtap-ia64.patch to pass PROVIDER to STAP_PROBE2 instead of
      HelperSDT
  * debian/watch: use https and uupdate

 -- Emanuele Rocca <ema@debian.org>  Fri, 12 Jun 2020 11:53:19 +0200

systemtap (4.2-3) unstable; urgency=medium

  * autopkgtest: do not assume architecture is amd64
  * Add debian/gbp.conf to use pristine-tar by default
  * Set Standards-Version to 4.4.1

 -- Emanuele Rocca <ema@debian.org>  Mon, 17 Feb 2020 12:01:11 +0100

systemtap (4.2-2) unstable; urgency=medium

  * Add upstream patch debian/patches/fallback-comment-gcc-9.diff to fix
    unwind related functions such as print_ubacktrace with GCC 9. See:
    http://paste.debian.net/1130708/
  * Add upstream patch fix-autoconf-stack-trace-strict-prototypes.diff to fix
    ustack, ubacktrace on Linux >= 5.3. See:
    https://sourceware.org/bugzilla/show_bug.cgi?id=25265
  * Take over maintenance from Ritesh. Thanks!

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Feb 2020 13:50:37 +0100

systemtap (4.2-1) unstable; urgency=low

  * New upstream release
  * Drop the following patches shipped in 4.2:
    - da2a89d syscalls.xmlpart-tbody.patch
    - 79d0c97 check_task_work_cancel_exportedness.patch
    - 910acbe vsprintf-fallthru.patch

 -- Emanuele Rocca <ema@debian.org>  Sat, 07 Dec 2019 23:23:30 +0100

systemtap (4.1-11) unstable; urgency=high

  * Add upstream patch debian/patches/vsprintf-fallthru.patch to satisfy gcc
    9's -Wimplicit-fallthrough. (Closes: #943876)

 -- Emanuele Rocca <ema@debian.org>  Thu, 31 Oct 2019 11:15:18 +0100

systemtap (4.1-10) unstable; urgency=medium

  * Add check_task_work_cancel_exportedness.patch from upstream to fix the
    following pass 4 error with user space probes on Linux > 5:
    ERROR: "task_work_cancel" [/tmp/[...].ko] undefined!

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 Oct 2019 17:38:13 +0200

systemtap (4.1-9) unstable; urgency=medium

  * tests: in case multiple linux-headers-amd64 versions are available, use the
    one which is installed.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2019 07:08:45 +0200

systemtap (4.1-8) unstable; urgency=medium

  * tests: do not fail if more than one linux-headers-amd64 version is
    available. (Closes: #934710)

 -- Emanuele Rocca <ema@debian.org>  Sat, 17 Aug 2019 17:07:27 +0200

systemtap (4.1-7) unstable; urgency=medium

  * Do not override dh_install either.
  * Add lintian override: shell-script-fails-syntax-check
    usr/share/systemtap/examples/stapgames/2048.stp.

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 18:39:05 +0200

systemtap (4.1-6) unstable; urgency=medium

  * Do not override dh_auto_build/dh_auto_install when building
    arch-independent packages. This should fix systemtap-common and
    systemtap-doc, now built by the autobuilders.
  * Ship examples with systemtap-doc. (Closes: #880420)

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 16:57:36 +0200

systemtap (4.1-5) unstable; urgency=medium

  * Source-only upload.

 -- Emanuele Rocca <ema@debian.org>  Fri, 02 Aug 2019 08:33:18 +0200

systemtap (4.1-4) unstable; urgency=medium

  * Add debian/tests/build-hello to check that compiling a hello world probe
    (pass 4) works. The test targets the kernel version installed by
    linux-headers-amd64.
  * Add debian/tests/list-coreutils-probe-points to check that stap -L works
    as expected.
  * Mark debian/tests/stap-prep as 'isolation-machine', after having done so
    for the upstream testsuite in 4.1-3. The kernel running on ci.debian.net
    is an old 4.9.110, and stap-prep has no chance to do the right thing with
    such kernel in testing/unstable. More in general, it is unlikely that in a
    test environment the running kernel matches whatever is installed by
    linux-headers-`uname -r`.

 -- Emanuele Rocca <ema@debian.org>  Sun, 28 Jul 2019 13:51:01 +0200

systemtap (4.1-3) unstable; urgency=medium

  * Build with python3 instead of python2 for the python2-rm transition:
    https://release.debian.org/transitions/html/python2-rm.html
  * Pass -a to dh_listpackages instead of -s, which is deprecated.
  * Add 'isolation-machine' to the list of autopkgtest restrictions for
    upstream testsuite. systemtap inserts kernel modules, and that cannot be
    done in LXC containers.
  * Use stapbpf in stap-prep testsuite so that it can be executed in LXC
    containers.
  * Set debhelper compatibility level to 12.

 -- Emanuele Rocca <ema@debian.org>  Sat, 27 Jul 2019 09:45:54 +0200

systemtap (4.1-2) unstable; urgency=medium

  * Patch stap-prep to check for the right kernel debug symbols package (-dbg
    rather than -dbgsym)
  * Run basic stap-prep testing and upstream test suite via autopkgtest
    (Closes: #526957)
  * Use the Salsa CI Pipeline (see debian/salsa-ci.yml)
  * Ship debian/systemtap-common.emacsen-compat (Closes: #932440)

 -- Emanuele Rocca <ema@debian.org>  Wed, 17 Jul 2019 22:29:10 +0200

systemtap (4.1-1) unstable; urgency=medium

  * New upstream version
  * Add debian/patches/syscalls.xmlpart-tbody.patch to fix documentation
    building with xmlto. The patch can likely be removed when packaging
    systemtap 4.2
  * Remove old patches
  * Set Standards Version to 4.4.0

 -- Emanuele Rocca <ema@debian.org>  Sat, 13 Jul 2019 13:22:32 +0200

systemtap (4.0-1) unstable; urgency=medium

  [Emanuele Rocca]
  * New upstream version (Closes: #923016)
  * Add myself to uploaders
  * Update upstream signing key
  * Do not pass --parallel to dh, default since debhelper 10
  * Do not build depend on dh-autoreconf, debhelper enables it by default
    since version 10
  * Bump Standards Version

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

 -- Emanuele Rocca <ema@debian.org>  Sat, 23 Feb 2019 01:04:03 +0100

systemtap (3.3-1) unstable; urgency=medium

  * Fix FTBFS on ia64.
    Thanks to Jason Duerstock (Closes: #884007)
  * New upstream version 3.2
  * Update patch debian/patches/systemtap-ia64.patch
  * Drop patches, merged upstream
  * Refresh patch debian/patches/suggest-readme.debian.diff
  * Switch packaging repo to Salsa
  * New upstream version 3.3
  * Refresh patches
  * Override stapbpf binary for user/group.
    Thanks to Emanuele Roca (Closes: #892995)
  * Don't create group twice during the build

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 15 Jun 2018 18:01:07 +0545

systemtap (3.1-3) unstable; urgency=medium

  * Add patches from upstream to fix compatibilitye with newer kernels
    (Closes: #876337)
  * Add patch from upstream to fix broken asm header (Closes: #877459)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 05 Oct 2017 22:02:51 +0545

systemtap (3.1-2) unstable; urgency=medium

  * Upload to Unstable
  * Fix kernel version detection for custom built kernels running
    on Debian (Closes: #856461)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Mar 2017 20:02:36 +0530

systemtap (3.1-1) experimental; urgency=medium

  [ Ritesh Raj Sarraf ]
  * New upstream version 3.1
  * Refresh patches, and drop some that are part of new release
  * Bump debhelper dependency to 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 02 Mar 2017 21:11:22 +0530

systemtap (3.0-8) unstable; urgency=medium

  * [25d73e5] Add lsb-release to Depends (Closes: #856458)
  * [9e770e1] Add patch to set correct messaging about debug symbol
    packages (Closes: #856460)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 01 Mar 2017 15:52:57 +0530

systemtap (3.0-7) unstable; urgency=medium

  * d/patches: support for 4.7 kernel by applying upstream patch.

 -- Vincent Bernat <bernat@debian.org>  Tue, 13 Sep 2016 20:08:58 +0200

systemtap (3.0-6) unstable; urgency=medium

  * d/patches: add another compatibility patch for Linux 4.6+ (from upstream).
    Closes: #827441.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Jun 2016 10:33:01 +0200

systemtap (3.0-5) unstable; urgency=medium

  * d/patches: add a compatibility patches for Linux 4.6+ (from upstream).
    Closes: #826802.

 -- Vincent Bernat <bernat@debian.org>  Thu, 09 Jun 2016 13:56:10 +0200

systemtap (3.0-4) unstable; urgency=medium

  * Really build for any architecture. Really closes: #752891.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 May 2016 07:12:37 +0200

systemtap (3.0-3) unstable; urgency=medium

  * Build for any architecture. This includes arm64, ppc64el and s390x.
    Closes: #752891.
  * Bump Standards-Version to 3.9.8.

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 May 2016 07:22:51 +0200

systemtap (3.0-2) unstable; urgency=medium

  * d/patches: update patch to fix HTML documentation build (from upstream).
  * d/patches: fix 60s alarm reset when using "stap -c CMD" (from upstream).

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Apr 2016 19:00:20 +0200

systemtap (3.0-1) unstable; urgency=medium

  * New upstream release.
    + Remove 0001-Fix-BZ1285348-by-updating-systemtap-s-memory-flag-us.patch
  * d/control: bump Standards-Version.
  * d/control: update Vcs-* URL.
  * d/watch: check GPG signature when downloading new tarball.
  * d/rules: ensure HTML documentation is built.
  * d/patches: add a patch to fix HTML documentation build.
  * d/rules: fix file permissions for examples.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Apr 2016 16:47:33 +0200

systemtap (2.9-3) unstable; urgency=medium

  * Build-Depends on gettext (>= 0.19.4). Closes: #813507.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Feb 2016 20:36:01 +0100

systemtap (2.9-2) unstable; urgency=medium

  * Fix stap compilation with 4.4 kernel. Thanks to Michal Hocko for
    locating and testing the appropriate patch. Closes: #807692.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Dec 2015 21:15:16 +0100

systemtap (2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 Oct 2015 00:06:35 +0200

systemtap (2.8-2) unstable; urgency=medium

  * Use dh-autoreconf instead of autotools-dev. Closes: #763443.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jul 2015 20:11:46 +0200

systemtap (2.8-1) unstable; urgency=medium

  * New upstream release. Closes: #789303.
    - No longer fails to compile with recent Debian kernels
    - Rebase some patches.
  * Add myself as an uploader.
  * Update Vcs-* fields in debian/control.
  * Bump Standards-Version to 3.9.6, no changes necessary.

 -- Vincent Bernat <bernat@debian.org>  Thu, 30 Jul 2015 17:09:13 +0200

systemtap (2.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added patch so systemtap-mode can still be compiled with Emacs 24.4
    (Closes: #766994)

 -- Hilko Bengen <bengen@debian.org>  Mon, 10 Nov 2014 23:20:54 +0100

systemtap (2.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - No longer fails to compile with recent Debian kernels
      (Closes: #747090)
    - No longer fails to compile procfs probes (Closes: #761168)
  * Rebased patches
  * Changed dh-autoreconf build-dependency to autotools-dev as noticed by
    Lintian

 -- Hilko Bengen <bengen@debian.org>  Thu, 25 Sep 2014 22:44:45 +0200

systemtap (2.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using autotools-dev. Good enough to run the configure script,
    and dh-autoreconf breaks the po/ update.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 10:01:07 +0200

systemtap (2.3-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Build systemtap only on architectures where it is packaged and assemble
    the systemtap-sdt-dev package from the just configured package.
  * Don't add the standard include path in dtrace and make the
    systemtap-sdt-dev package Multi-Arch: same.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 15:51:47 +0200

systemtap (2.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make systemtap-sdt-dev architecture dependent again, build it on every
    architecture, move the sys/sdt.h to the multiarch include path, and don't
    ship the sdt headers on architectures where systemtap is not built.
    Closes: #748694.
    Doesn't need to be M-A: foreign. Closes: #749035.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2014 17:08:01 +0200

systemtap (2.3-2) unstable; urgency=low

  * Don't Suggest linux-* since that won't guarantee right version anyway
    (Closes: #724561, #735459).
  * Depend on python:any for cross-installability (Closes: #726087).
  * Bump required libelf-dev and libdw-dev version (Closes: #730019).
  * Make systemtap-sdt-dev arch:all so that gcc and libc can B-D on it
    (Closes: #726248).
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 05 Apr 2014 10:40:10 +0300

systemtap (2.3-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are part of the new upstream release:
    - 0001-PR15484-have-staprun-disable-kprobes-optimization-ag.patch
  * Backport bugfixes:
    - 0001-For-xen-kernels-handle-cpufreq_register_notifier-fai.patch
    - 0001-PR15803-netfilter-tolerate-absent-context-when-colle.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Fri, 26 Jul 2013 07:04:49 +0000

systemtap (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are part of the new upstream release:
    - 0001-man-stap.1-escape-minus-sign-properly.patch
    - 0002-man-stap.1-fix-typo.patch
    - 0003-man-stapprobes.3stap-escape-minus-sign-properly.patch
    - 0005-Add-missing-usr-bin-env-stap-to-some-examples.patch
    - 0006-man-stappaths.7-properly-escape-dot-in-the-beginning.patch
    - 0008-man-escape-quote-properly-in-header.patch
    - 0001-configure.ac-remove-temporary-file-after-test.patch
    - 0002-Makefile.am-remove-temporary-symlinks-in-distclean.patch
    - 0003-configure-Makefile-regenerate.patch
    - 0001-tapset-test-adieu.patch
    - 0001-Makefile.am-don-t-install-html-.tmpl-files.patch
    - 0002-Makefile.in-regenerate.patch
    - 0001-manpager-fix-warnings-by-adding-breaks-between-SEE-A.patch
    - 0001-blacklist-more-unsafe-functions.patch
    - 0001-Prepare-stap-prep-for-support-for-non-rpm-systems.patch
    - 0001-translator-tolerate-unavailable-System.map.patch
    - 0002-stap-prep-add-support-for-deb-based-systems.patch
    - 0003-man-add-man-page-for-stap-prep-1.patch
    - 0004-man-stap.1-add-reference-to-stap-prep-1.patch
    - 0001-install-stap-prep.1-man-page.patch
    - 0002-man-Makefile.in-regenerate.patch
    - 0001-stap-prep-debian-do-not-check-for-linux-kbuild.patch
  * Backport upstream commit 91872f5 (PR15484: have staprun disable
    kprobes-optimization again) to avoid kernel BUG during testsuite:
    - 0001-PR15484-have-staprun-disable-kprobes-optimization-ag.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Thu, 16 May 2013 19:16:58 +0000

systemtap (2.1-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Timo Juhani Lindfors ]
  * Upload to unstable.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 17:42:52 +0300

systemtap (2.1-1~experimental1) experimental; urgency=low

  * New upstream release (Closes: #690404, #701365, #701365)
    (LP: #803549, #1130626, #1075772).
  * Drop patches that are part of the new upstream release:
    - manpage-syntax1.diff
    - spelling-fixes1.diff
    - spelling-fixes2.diff
    - manpage-paths1.diff
    - fix.CVE-2012-0875.diff
  * Add patches that fix various lintian warnings. These have all
    been accepted upstream so we can get rid of them in the next
    release (thanks Frank Ch. Eigler!):
    - 0001-man-stap.1-escape-minus-sign-properly.patch
    - 0002-man-stap.1-fix-typo.patch
    - 0003-man-stapprobes.3stap-escape-minus-sign-properly.patch
    - 0005-Add-missing-usr-bin-env-stap-to-some-examples.patch
    - 0006-man-stappaths.7-properly-escape-dot-in-the-beginning.patch
    - 0008-man-escape-quote-properly-in-header.patch
    - 0001-configure.ac-remove-temporary-file-after-test.patch
    - 0002-Makefile.am-remove-temporary-symlinks-in-distclean.patch
    - 0003-configure-Makefile-regenerate.patch
    - 0001-tapset-test-adieu.patch
    - 0001-Makefile.am-don-t-install-html-.tmpl-files.patch
    - 0002-Makefile.in-regenerate.patch
    - 0001-manpager-fix-warnings-by-adding-breaks-between-SEE-A.patch
  * Add patch to partially fix #604453:
    - 0001-blacklist-more-unsafe-functions.patch
  * Backport patch to support unreadable System.map on Ubuntu:
    - 0001-translator-tolerate-unavailable-System.map.patch
  * Add patch to suggest reading README.Debian if anything
    fails. Usability testing shows that surprisingly few users
    will find it otherwise :-) This patch can not be forwarded
    upstream but it is very simple.
    - suggest-readme.debian.diff
  * Upload to experimental since wheezy is frozen.
  * Drop systemtap-grapher binary package as it has been
    removed by upstream. Remove its build-dependencies
    libgtkmm-2.4-dev, libboost-dev and libglademm-2.4-dev as well.
  * Add powerpcspe to the architecture list (Closes: #700161).
  * Ship stap-prep to help users figure out what
    debug symbol and header packages they need to install and mention
    this in README.Debian.
  * Add patches to make stap-prep work on Debian:
    - 0001-Prepare-stap-prep-for-support-for-non-rpm-systems.patch
    - 0002-stap-prep-add-support-for-deb-based-systems.patch
    - 0003-man-add-man-page-for-stap-prep-1.patch
    - 0004-man-stap.1-add-reference-to-stap-prep-1.patch
    - 0001-install-stap-prep.1-man-page.patch
    - 0002-man-Makefile.in-regenerate.patch
  * Add patch to improve error messages:
    - 0001-Suggest-running-stap-prep-after-all-failures.patch
  * Enable emacs addon that makes editing .stp files easier.
  * Ensure that build log shows full build commands.
  * Bump Standards-Version to 3.9.4, no changes were needed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 23 Feb 2013 14:36:19 +0200

systemtap (1.7-1) unstable; urgency=low

  * Explicitly list supported architectures of systemtap-sdt-dev.
  * Bump Standards-Version to 3.9.3, no changes were needed
  * Apply upstream fix for CVE-2012-0875 (Closes: #660886, #660929)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Wed, 14 Mar 2012 14:23:00 +0200

systemtap (1.7-1~experimental1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * Add Timo Juhani Lindfors to Uploaders.

  [ Timo Juhani Lindfors ]
  * New Upstream Release.
  * Drop patches that are obsolete or accepted upstream:
    dont-build-pdfdocs.diff dont-remove-scripts.diff
    examples-shebangs.diff grapher-libs.diff new-elfutils.diff
    no-make-distclean-for-man.diff stapex-docdir-path.diff
    use-pdflatex.diff vim-filetype-override.diff xmlto-test.diff
  * Add patches to improve documentation: manpage-paths1.diff
    manpage-syntax1.diff spelling-fixes1.diff spelling-fixes2.diff
  * Update standards-version to 3.9.2, no changes necessary
  * Add armhf to the architecture list (Closes: #645797)
  * Enable hardened build flags (Closes: #655882)
  * Set architecture of systemtap-sdt-dev to linux-any to avoid confusion
    on kfreebsd (Closes: #656383, #656477)
  * Add stapsys group which behaves like stapdev but does not permit
    the use of guru mode.
  * Remove references to "Linux 2.6" from package description and suggests
    fields since we support 3.x too.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 19 Dec 2011 13:27:20 +0200

systemtap (1.6-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Refresh all patches.

  [ Ritesh Raj Sarraf ]
  * [ab3b78a] Imported Upstream version 1.6
  * New upstream release (Closes: #625414, #635542, #628819)
    - Fixes vulnerability: CVE-2011-1769, CVE-2011-1781, CVE-2011-2502
      and CVE-2011-2503

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 29 Jul 2011 15:59:14 +0530

systemtap (1.4-1) unstable; urgency=low

  * New Upstream Release
  * [6f15c23] fix staprun permissions in dh_fixperms. Thanks to Steve
    Beattie
  * [4766ec7] update debian/news about new execution permission
  * [98fddd0] refresh patches
  * [1f33512] drop patch new-elfutils.diff. no more needed

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 25 Feb 2011 03:23:16 +0530

systemtap (1.3-2) unstable; urgency=low

  * Add dependency on package adduser. Thanks to the piuparts
    infrastructure for spotting it. (Closes: #604439)
  * Add dependency on make (Closes: #608905)
  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:30:26 +0530

systemtap (1.2-2) unstable; urgency=low

  * Update README.Debian about kernel dependency

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 29 Sep 2010 23:20:34 +0530

systemtap (1.3-1) experimental; urgency=low

  * New Upstream Release
  * Refresh patches:
    + manpage-and-spelling-error-fixes.patch
    + dont-build-pdfdocs.diff
    + new-elfutils.diff
  * Drop patch:
    + no-make-distclean-for-man.diff
    + stapex-docdir-path.diff
  * Add libavahi-client-dev build dependency
  * Update Standards Version to 3.9.1
    + Use Breaks instead of Conflicts
  * Explain about kernel feature dependency and availability (Closes: #591893)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Aug 2010 00:03:52 +0530

systemtap (1.2-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New maintainer. Closes: #568866.
  * New upstream release.
    - Fixes CVE-2009-4273. Closes: #568865.
  * Removed patches:
    - xmlto-test.diff: applied upstream.
    - dont-remove-scripts.diff: applied upstream.
    - examples-shebangs.diff: applied upstream.
  * Refreshed patches:
    - use-pdflatex.diff
    - debversion.diff
    - new-elfutils.diff
  * Bump policy to 3.8.4. No changes needed.

  [ Ritesh Raj Sarraf ]
  * Take maintenance and add Lucas to Uploaders
  * Switch to 3.0 (quilt) source format
  * Add get-orig-source target
  * Drop libebl-dev and Add libdw-dev as Build Depends
  * Fix build rules and use configure script from upstream
  * Break systemtap common architecture independent data to the
    systemtap-common package

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 24 May 2010 00:34:35 +0530

systemtap (1.1-1) experimental; urgency=low

  * New upstream release
    - too many changes, upload to experimental for now
  * Fix Vcs-Browser url
  * Update debian/copyright
  * Pass --disable-publican to configure, not usable in Debian
  * Removed patches:
    - no-PROCFLAGS.diff - fixed upstream
    - no-xmto.diff - let's try to use xmlto..., build depend on it
    - stap-env.diff - no longer needed
    - SystemTap-1.0-limit-printf-arguments.patch - fixed upstream
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch - fixed upstream
    - SystemTap-1.0-unwind-table-size-checks.patch - fixed upstream
  * Updated patches:
    - dont-build-pdfdocs.diff
    - grapher-libs.diff
  * Build-depend on libboost-dev and libglademm-2.4-dev, needed for grapher
  * New patches:
    - dont-remove-scripts.diff - do not remove scripts on clean
    - examples-shebangs.diff - add missing shebangs to examples
    - xmlto-test.diff - use html format to test xmlto, txt format requires
      additional build-dependencies

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 21 Jan 2010 14:45:25 +0100

systemtap (1.0-2) unstable; urgency=high

  * Fix multiple DoS issues (CVE-2009-2911), thanks to Moritz Muehlenhoff
    fo reporting. Urgency is high because of security bug.
    (closes: 551918)
  * New patches (stolen from RedHat's bugzilla):
    - SystemTap-1.0-limit-printf-arguments.patch
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch
    - SystemTap-1.0-unwind-table-size-checks.patch

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 21 Oct 2009 22:05:22 +0200

systemtap (1.0-1) unstable; urgency=low

  * New upstream release
    - stap does not seem to print warnings if -client is not installed
      (probably closes: #545429)
  * Install AUTHORS into systemtap package
  * Try to explain what are -client and -server packages for (hopefully
    closes: #545279)
  * Depend on net-tools in systemtap-server (for netstat)
  * s/stap-client/systemtap-client/ in systemtap's conflicts/replaces

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Sep 2009 20:20:09 +0200

systemtap (0.9.9+0git20090920-1) experimental; urgency=low

  * New upstream snaphsot
  * Don't build-depend on bzip2 anymore
  * Removed patches:
    - docs-clean.diff - applied upstream
  * Install stap-sign-module into -server
  * Remove special rule for patch target, it is supported by new enough
    dh

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 20 Sep 2009 20:54:51 +0200

systemtap (0.9.9+0git20090910-2) experimental; urgency=low

  * Use -regex for find in clean target, hopefully fixes FTBFS on s390
  * Use © instead of (C) in debian/copyright
  * Fix path to examples in stapex (3)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 17:41:14 +0200

systemtap (0.9.9+0git20090910-1) experimental; urgency=low

  * New upstream snapshot
    - This release supports execution of probe modules by unpriviledged
      users. This feature is experimental and can cause security problems.
      Added note to NEWS.Debian
  * Use quilt instead of dbs
  * Strip numeric prefixes and add .diff to patches
  * Removed patches:
    - relocatable-kernel-buildid.diff - applied upstream
    - configure-quot.diff - applied upstream
    - arm-nop.diff - applied upstream
  * Remove autotools generated files in clean target
  * New patches:
    - docs-clean.diff - remove generated files during clean
    - debversion.diff - add debian package version information into stap -V
      output
  * Install NEWS.Debian into all binary packages
  * Git is now used for packaging
    - Add Vcs-* headers to debian/control
    - Remove uupdate invokation from watch file
  * Update README.source with information about using quilt

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 00:45:38 +0200

systemtap (0.9.9-5) unstable; urgency=low

  * New patches:
    - 39-relocatable-kernel-buildid - fix build id check for relocatable
      kernels (closes: #545277)
  * Standards-Version 3.8.3 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 07 Sep 2009 11:44:55 +0200

systemtap (0.9.9-4) unstable; urgency=medium

  * Build-depend on automake1.11 instead of automake1.10
    (closes: #541511). Thanks to Aurélien Jarno for reporting.
    Urgency medium because this package is 5 days in unstable and
    this release introduces no code changes.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 14 Aug 2009 21:23:26 +0200

systemtap (0.9.9-3) unstable; urgency=low

  * Add systemtap-grapher package
    - build-depend on libgtkmm-2.4-dev (>= 2.8.0)
  * New patch:
    - 38-grapher-libs - pass --as-needed to the linker when linking stapgraph

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 08 Aug 2009 16:13:53 +0200

systemtap (0.9.9-2) unstable; urgency=low

  * New patch:
    - 37-arm-nop - use nop instructions without parameters on arm in sdt.h;
      fixes FTBFS

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 08 Aug 2009 01:28:01 +0200

systemtap (0.9.9-1) unstable; urgency=low

  * New upstream release (closes: #536469)
  * New patches:
    - 36-configure-quot - do not use plain [] in help string in configure.ac
      this confuses autoconf

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 07 Aug 2009 16:27:34 +0200

systemtap (0.9.8+0git20090713-1) unstable; urgency=low

  * New upstream snapshot
    - Let's try new version numbers
  * Removed patches:
    - 36-examples-shebang - fixed upstream
  * Add script debian/make-snapshot.sh for building git snapshots
  * Update watch file to point to systemtap releases

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 13 Jul 2009 10:58:09 +0200

systemtap (0.0.20090627-1) unstable; urgency=low

  * New upstream snapshot
  * New patches:
    - 36-examples-shebang - add shebangs to executable examples
  * Standards-Version 3.8.2 - no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 30 Jun 2009 13:28:48 +0200

systemtap (0.0.20090613-1) unstable; urgency=low

  * New upstream snapshot (and release 0.9.8)
  * Remove libnss3-tools from -client depends

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 13 Jun 2009 22:02:58 +0200

systemtap (0.0.20090606-1) UNRELEASED; urgency=low

  * New upstream snapshot
  * Build-depend on libnss3-tools
  * Add --without-rpm and --enable-translator to configure flags

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 07 Jun 2009 20:15:08 +0200

systemtap (0.0.20090523-1) experimental; urgency=low

  * New upstream snapshot
  * Upload to experimental for now
  * Updated patches:
    - 28-dont-build-pdfdocs
  * New patches:
    - 35-stap-env - move stap-env script under /usr/share/systemtap
  * Update debian/copyright
  * Update contents of -client and -server packages to match upstream
    as close as possible
  * Make -server package depend on -client package for some programs
    and stap-env

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 26 May 2009 23:08:17 +0200

systemtap (0.0.20090502-1) unstable; urgency=low

  * New upstream snapshot
    - disable grapher for now (it will require libgtkmm-2.4)
  * Build-depend on lib{elf,dw}-dev >= 0.141
  * Don't build-depend on libebl-dev — it's gone
  * Update build-depends on docbook-xsl to >= 1.74.3 (for new path to
    stylesheets)
  * Updated patches:
    - 30-no-xmlto — also use new path to docbook-xsl stylesheets
  * New patches:
    - 34-new-elfutils — do not try to link with libebl

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 May 2009 02:32:05 +0200

systemtap (0.0.20090418-1) unstable; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 19 Apr 2009 21:22:35 +0200

systemtap (0.0.20090411-2) experimental; urgency=low

  * Add systemtap-sdt-dev package

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 13 Apr 2009 20:26:32 +0200

systemtap (0.0.20090411-1) experimental; urgency=low

  * New upstream snapshot
  * Removed patches:
    - 34-manpages-fixes - applied upstream
    - 35-fix-parallel-build - applied upstream
  * Suggest linux-{image,headers,debug}-2.6 for systemtap, make-kpkg
    can build those now
  * Remove note about gcc-4.0 bug from README.Debian, gcc-4.0 is not
    even in stable now
  * Add note about kernel-debug target of make-kpkg into README.Debian
  * Do not use 'dh install --remaining' in debian/rules, it executes
    skipped commands
  * Fix target dependencies in debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 13 Apr 2009 19:24:20 +0200

systemtap (0.0.20090404-2) unstable; urgency=low

  * New patches:
    - 35-fix-parallel-build (closes: #522800)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 06 Apr 2009 17:34:34 +0200

systemtap (0.0.20090404-1) unstable; urgency=low

  * New upstream snapshot
    - some manpages were moved from section 5 to 3stap, build system adjusted
  * Updated patches:
    - 24-stapex-docdir-path
    - 28-dont-build-pdfdocs
    - 30-no-xmlto
  * Removed patches:
    - 35-CVE-2009-0784 - applied upstream
  * New patches:
    - 34-manpages-fixes
  * Fix some bashisms in debian/rules
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 04 Apr 2009 21:57:30 +0200

systemtap (0.0.20090314-2) unstable; urgency=high

  * New patch:
    - 35-CVE-2009-0784 - fix for CVE-2009-0784, arbitrary kernel module
      loading by members of 'stapusr' group

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 24 Mar 2009 23:33:42 +0100

systemtap (0.0.20090314-1) unstable; urgency=low

  * New upstream snapshot
  * Standards-Version 3.8.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 20 Mar 2009 16:00:34 +0100

systemtap (0.0.20090307-1) experimental; urgency=low

  * New upstream shapshot
  * Removed patches:
    - 34-dont-include-libebl-h - applied upstream
  * Add not to debian/copyright that Language Reference Guide is licensed
    under the GFDL with no Invariant Sections, no Front-Cover Texts, and
    no Back-Cover Texts
  * Update copyright years in debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Mar 2009 20:01:57 +0100

systemtap (0.0.20090228-1) unstable; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 28 Feb 2009 20:34:11 +0100

systemtap (0.0.20090221-1) experimental; urgency=low

  * New upstream snapshot
    - changelogs are gone, do not try to install them
  * Upload to experimental to let previous version migrate to testing
  * New patches:
    - 34-dont-include-libebl-h - do not include libebl.h, it is not used
  * Make all examples executable (except ones from tutorial)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 21 Feb 2009 21:08:10 +0100

systemtap (0.0.20090214-1) unstable; urgency=low

  * New upstream snapshot
  * Upload to unstable
  * Make systemtap-server package depend on zip
  * Add link for stap-add-server-cert(8) manpage (points to stap-client(8))
  * Build-depend on docbook-xml to avoid warnings about missing docbookx.dtd
  * Removed patches:
    - 31-manpages-footer - applied upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 15 Feb 2009 19:39:59 +0100

systemtap (0.0.20090131-1) experimental; urgency=low

  * New upstream snapshot
  * Make systemtap-client depend on dsnutils, it uses nslookup
  * Pass --sysconfdir=/etc to configure
  * Removed patches:
    - 32-no-prefix-voodoo - upstream does it right now

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 01 Feb 2009 02:01:44 +0100

systemtap (0.0.20090124-1) experimental; urgency=low

  * New upstream snapshot
  * Install vim syntax/indent/etc files as addon (disabled by default)
  * Suggest vim-addon-manager in systemtap package
  * Add information on how to enable vim addon into README.Debian
  * New patches:
    - 33-vim-filetype-override - set filetype in vim unconditionaly, otherwise
      it is set to 'Stored Procedures'

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Jan 2009 02:10:38 +0100

systemtap (0.0.20090117-1) experimental; urgency=low

  * New upstream snapshot
  * New patches:
    - 28-dont-build-pdfdocs - do not build pdf version of Tapset Reference,
      and don't check for xmlto
    - 30-no-xmlto - use xsltproc instead of xmlto to build Tapset Reference,
      it is much faster (at least for manpages) and allows not to output
      empty COPYRIGHT sections
    - 31-manpages-footer - fix footer of Tapset Reference manpages
    - 32-no-prefix-voodoo - hardcode prefixes in client and server scripts
  * Updated patches:
    - 27-use-pdflatex
  * Removed patches:
    - 28-dont-build-docs - replaced by 28-dont-build-pdfdocs
  * Update debian/copyright
  * Pass --enable-refdocs to configure
  * Register HTML version Tapset Reference with doc-base
  * Add xsltproc and docbook-xsl to Build-Depends
  * Pass --enable-server to configure
  * Add systemtap-server and systemtap-client packages for compile server
    and its client

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 17 Jan 2009 23:46:15 +0100

systemtap (0.0.20090103-1) experimental; urgency=low

  * New upstream snapshot
  * Add pkg-config, libnss3-dev and libnspr4-dev to Build-Depends, they are now
    needed for stap-client/server (not installed into any package)
  * Removed patches:
    - 29-examples-interpreter - applied upstream
  * New patches:
    - 28-dont-build-docs - do not build Tapset Reference, build fails
      (see bugs #170477 and #310148).
  * Update packaging copyright for year 2009

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Jan 2009 22:12:16 +0100

systemtap (0.0.20081220-1) experimental; urgency=low

  * New upstream snapshot
  * Split staprun and dependencies into systemtap-runtime package,
    for use on small systems and to better match upstream
  * Split most of the documentation into systemtap-doc package
    - update patch 24-stapex-docdir-path with new path to examples
  * Mention split in NEWS.Debian.
  * Do not make examples executable in debian/rules, upstream
    already does this
  * Replace the long description with one from the official site
    (slightly changed)
  * Remove files related to the systemtap-tools package that does not
    exist

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 23 Dec 2008 21:40:21 +0100

systemtap (0.0.20081213-1) experimental; urgency=low

  * New upstream snapshot
  * Updated patches:
    - 29-examples-interpreter

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 15 Dec 2008 15:29:52 +0100

systemtap (0.0.20081025-1) experimental; urgency=low

  * New upstream snapshot
  * Install stap-report into examples directory

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 30 Oct 2008 22:24:35 +0100

systemtap (0.0.20081004-1) experimental; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 04 Oct 2008 19:28:34 +0200

systemtap (0.0.20080927-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 28 Sep 2008 18:10:03 +0200

systemtap (0.0.20080920-1) experimental; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 21 Sep 2008 21:13:14 +0200

systemtap (0.0.20080913-1) experimental; urgency=low

  * New upstream snapshot
  * Add file debian/control.split that can be used to build systemtap-tools
    package that contains systemtap client and server. Do not enable it by
    default because it does not work
  * Simplify debian/rules using debhelper 7 features
  * Removed patches:
    - 30-manpages-fixes - applied upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 16 Sep 2008 10:07:49 +0200

systemtap (0.0.20080906-1) experimental; urgency=low

  * New upstream snapshot
  * Do not build-depend on libcap2-dev, it is not used anymore
  * Install stap-server & co. but does not add dependencies yet,
    those scripts do not work
  * New patches:
    - 30-manpages-fixes

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 12 Sep 2008 16:12:13 +0200

systemtap (0.0.20080823-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 23 Aug 2008 17:27:08 +0200

systemtap (0.0.20080816-1) experimental; urgency=low

  * New upstream snapshot
  * Do not install *.tmpl files into examples directory - they are useless
  * Removed patches:
    - 30-io_submit.stp_dos2unix - fixed upstream
  * Updated patches:
    - 29-examples-interpreter - partly fixed upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 22 Aug 2008 15:08:48 +0200

systemtap (0.0.20080809-1) experimental; urgency=low

  * New upstream snapshot
  * Do not install systemtap compile server tools. stap-client does not work
    with Debian's bash because of network redirections.
  * Update debian/copyright
  * Removed patches:
    - 26-manpages-fixes - applied upstream
    - 28-manpages-cleanup - applied upstream
  * Updated patches:
    - 29-examples-interpreter
  * New patches:
    - 30-io_submit.stp_dos2unix - use unix line endings in io_submit.stp
      example

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 11 Aug 2008 17:03:40 +0200

systemtap (0.0.20080802-1) experimental; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 04 Aug 2008 15:14:16 +0200

systemtap (0.0.20080726-1) UNRELEASED; urgency=low

  * New upstream snapshot
  * Only run dh_installexamples for tutorial, all other examples are
    now installed by upstream Makefile
  * Wrap lines in debian/copyright to fix lintian warnings
  * New patch:
    - 29-examples-interpreter - fix/add path to interpreter for examples

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 04 Aug 2008 15:05:58 +0200

systemtap (0.0.20080705-2) unstable; urgency=low

  * Build-depend on libcap2-dev instead of obsolete libcap-dev (closes: #492652)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 28 Jul 2008 12:23:33 +0200

systemtap (0.0.20080705-1) unstable; urgency=low

  * New upstream snapshot
  * No more --enable-staticdw, don't use it

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 07 Jul 2008 10:07:00 +0200

systemtap (0.0.20080621-1) unstable; urgency=low

  * New upstream snapshot
  * Standards-Version 3.8.0:
    - Add patch target
    - Add README.source
    - Use examples from policy to handle DEB_BUILD_OPTIONS
    - Handle 'parallel' build option, for those who has machines with a lot of
      memory...
  * Removed patches:
    - 06-static-libdw-fix - replaced with --enable-staticdw configure flag

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 23 Jun 2008 18:09:17 +0200

systemtap (0.0.20080607-1) UNRELEASED; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 09 Jun 2008 17:14:32 +0200

systemtap (0.0.20080531-1) unstable; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 06 Jun 2008 10:21:52 +0200

systemtap (0.0.20080517-1) UNRELEASED; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 May 2008 09:30:51 +0200

systemtap (0.0.20080510-1) UNRELEASED; urgency=low

  * New upstream snapshot
  * Disable building PIE, this does not work with static libdw
  * Handle examples in different source directory
  * Do not use -XCVS in debian/rules - no more CVS dirs here
  * Use debhelper 7, s/dh_clean -k/dh_prep/

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 11 May 2008 21:18:12 +0200

systemtap (0.0.20080419-1) unstable; urgency=low

  * New upstream snapshot
  * Update debian/copyright
  * Updated patches:
    - 06-static-libdw-fix
  * New patches:
    - 28-manpages-cleanup - remove ".Vb" macros from manpages; they cause
      lintian warnings

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 10:02:01 +0200

systemtap (0.0.20080405-1) unstable; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 05 Apr 2008 22:45:33 +0200

systemtap (0.0.20080322-1) unstable; urgency=low

  * New upstream snapshot

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Mar 2008 19:03:50 +0100

systemtap (0.0.20080315-1) unstable; urgency=low

  * New upstream snapshot
  * Updated patches:
    - 27-use-pdflatex - add 'colorlinks' option to hyperref package

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 21 Mar 2008 18:17:20 +0100

systemtap (0.0.20080301-1) unstable; urgency=low

  * New upstream snapshot
  * Build documentation:
    - pass --enable-docs to configure in debian/rules
    - install {langref,tutorial}.pdf, and register them with doc-base
    - suggest doc-base
    - install examples from tutorial
    - build-depend on texlive-latex-{base,recommended,extra} and
      texlive-fonts-recommended
    - Language Reference is lincensed under GFDL-1.2 with no Invariant
      Sections, no Front-Cover Texts, and no Back-Cover Texts; add this
      to debian/copyright
  * Removed patches:
    - 25-manpages-minus-sign - applied upstream
  * New patches:
    - 27-use-pdflatex - use pdflatex to build documentation, allows to use
      pdf outlines and clickable links; do not use non-free latex2html
  * Install upstream NEWS file

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 07 Mar 2008 10:01:11 +0100

systemtap (0.0.20080216-1) unstable; urgency=low

  * New upstream snapshot
  * Deleted patches:
    - 27-autoheader-fix - applied upstream
    - 28-nettop-example-dos2unix - fixed upstream
    - 29-ssp-detect - fixed upstream
  * Build-depend on automake1.10 instead of just automake, run automake-1.10
    and aclocal-1.10 in debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 17 Feb 2008 19:34:28 +0100

systemtap (0.0.20080209-2) unstable; urgency=low

  * New patch:
    - 29-ssp-detect - pass -Werror to code that detects whether SSP is
      supported, fixes FTBFS on ia64 and maybe others

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 09 Feb 2008 20:01:16 +0100

systemtap (0.0.20080209-1) unstable; urgency=low

  * New upstream snapshot
  * "Let's check UTF-8 support" release
  * Removed patches:
    - 22-disable-crashmod - pass --disable-crash to configure instead
    - 26-sqlite3-fix - fixed upstream
  * New patches:
    - 26-manpages-fixes - fix some problems in manpages (use of ', line
      breaks, ...)
    - 27-autoheader-fix - make it possible to use autoreconf to regenerate
      'configure' and others
    - 28-nettop-example-dos2unix - remove ^M's from "nettop.stp" example
  * Build-depend on 'automake' instead of 'automake1.9'
  * Use 'autoreconf' in debian/rules to regenerate 'configure'

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 09 Feb 2008 19:11:15 +0100

systemtap (0.0.20080126-1) unstable; urgency=low

  * New upstream snapshot
  * Pass --enable-sqlite3 to configure in debian/rules
  * Update debian/copyright
  * Updated patches:
    - 06-static-libdw-fix
    - 22-disable-crashmod
  * Removed patches:
    - 23-gcc-4.3-workaround - applied upstream
  * New patches:
    - 26-sqlite3-fix - define HAVE_LIBSQLITE3 if compilation with sqlite3 was
      requested

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 28 Jan 2008 10:57:01 +0100

systemtap (0.0.20080112-1) unstable; urgency=low

  * New upstream snapshot
  * Update debian/copyright for y2008

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 12 Jan 2008 22:18:42 +0100

systemtap (0.0.20071229-1) unstable; urgency=low

  * New upstream snapshot

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 29 Dec 2007 21:40:54 +0100

systemtap (0.0.20071215-1) unstable; urgency=low

  * New upstream snapshot
  * Removed patches:
    - 26-more-gcc-4.3-fixes - applied upstream
    - 23-gcc-4.3-fixes (disabled) - replaced with workaround that works for
      both gcc-4.2 and gcc-4.3
  * New patches:
    - 23-gcc-4.3-workaround - fixes FTBFS with gcc-4.3; thanks Brian M. Carlson
      for suggestion (closes: #455663)
  * Build-depend on elfutils libraries (>= 0.131-2) to use latest static
    libraries and correct shlibs file
  * Standards-Version 3.7.3 - no changes required

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 17 Dec 2007 19:13:00 +0100

systemtap (0.0.20071201-1) unstable; urgency=low

  * New upstream snapshot

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 03 Dec 2007 22:41:07 +0100

systemtap (0.0.20071117-1) unstable; urgency=low

  * New upstream snapshot
  * Do not install examples/{README,ChangeLog}

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 17 Nov 2007 19:22:13 +0100

systemtap (0.0.20071103-1) unstable; urgency=low

  * New upstream snapshot

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 04 Nov 2007 16:56:00 +0100

systemtap (0.0.20071020-1) unstable; urgency=low

  * New upstream snapshot
  * Remove spurious file from source ("u", /me wonders where did it come from)
  * Do not compress new 'syscalltimes' example

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 20 Oct 2007 18:15:44 +0200

systemtap (0.0.20071006-1) unstable; urgency=low

  * New upstream snapshot
  * Add Homepage field into debian/control
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 06 Oct 2007 22:14:07 +0200

systemtap (0.0.20070922-1) unstable; urgency=low

  * New upstream snapshot
  * Removed patches:
    - 17-cond-syscalls - fixed upstream

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 23 Sep 2007 20:29:49 +0200

systemtap (0.0.20070908-1) unstable; urgency=low

  * New upstream snapshot
  * Do not build-depend on libglib2.0-dev and libmysqlclient15-dev, they were
    needed for LKET, and it is not included in systemtap now
  * Updated patch:
    - 17-cond-syscalls
  * New patch:
    - 26-more-gcc-4.3-fixes - adds missing #include

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 10 Sep 2007 20:54:23 +0200

systemtap (0.0.20070825-1) unstable; urgency=low

  * New upstream snapshot
  * Do not depend on sudo, it is not used by systemtap anymore
  * Build-depend on libcap-dev
  * Do not build-depend on libpfm3-3.2-dev and do not pass --enable-perfmon to
    configure, perfmon support was disabled upstream
  * Add README.security to debian/docs
  * Add postinst script that creates 'stapdev' and 'stapusr' system groups if
    they do not exist
  * Install /usr/bin/staprun setuid-root, new security model requires this.
    See README.security for details. Information about this change added to
    NEWS file
  * Install lintian override for suid-root binary warning
  * Mention 'stapdev' and 'stapusr' groups in README.Debian
  * Updated patches:
    - 17-cond-syscalls
  * Removed patches:
    - 18-insmod-path - systemtap does not use insmod anymore
    - 10-perfmon-autoconf, 13-perfmon-link, 15-perfmon-api-change - perfmon
      is disabled
  * New patches:
    - 24-stapex-docdir-path - fixes path to examples in stapex(5) manpage
    - 25-manpages-minus-sign - fixes use of hyphen as minus sign in manpages

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 28 Aug 2007 16:14:51 +0200

systemtap (0.0.20070811-1) unstable; urgency=low

  * New upstream snapshot
  * Updated patches:
    - 17-cond-syscalls
  * Removed patches:
    - 20-stap-path - fixed upstream
  * Added patch (disabled):
    - 23-gcc-4.3-fixes - fixes compilation with gcc-snapshot for one file,
      but brokes compilation with current g++, more work needed

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 14 Aug 2007 23:41:50 +0200

systemtap (0.0.20070728-1) unstable; urgency=low

  * New upstream snapshot
  * Updated patches:
    - 17-cond-syscalls

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 28 Jul 2007 18:51:01 +0200

systemtap (0.0.20070714-1) unstable; urgency=low

  * New upstream snapshot
  * Removed patches:
    - 19-gcc4.3-fixes - applied upstream
  * Add armeb and armel to Architectures
  * New patches:
    - 22-disable-crashmod - disable crashmod extension even if headers are
      installed
  * Updated patches:
    - 17-cond-syscalls
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 15 Jul 2007 17:43:32 +0200

systemtap (0.0.20070630-1) unstable; urgency=low

  * New upstream snapshot
  * Build-depend on libsqlite3-dev, systemtap now requires it
  * Updated patches:
    - 13-perfmon-link
    - 17-cond-syscalls
  * Removed patches:
    - 19-gcc4.3-fixes - applied upstream
  * New patches:
    - 19-gcc4.3-fixes - fixes ftbfs with gcc-snapshot
    - 20-stap-path - fixes path to interpreter in examples

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 30 Jun 2007 23:34:56 +0200

systemtap (0.0.20070609-1) unstable; urgency=low

  * New upstream release
    - arm is now supported architecture, added to Architectures list
  * Remove patch:
    - 19-gcc-3.3-fixes - fixed upstream
  * Add patch:
    - 19-gcc4.3-fixes - fixes FTBFS with gcc-snapshot
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 09 Jun 2007 22:55:38 +0200

systemtap (0.0.20070526-1) unstable; urgency=low

  * New upstream snapshot
  * New patches:
    - 18-insmod-path - pass full path to execvp(3) to work around bugs #425458
      and #425562
    - 19-gcc-3.3-fixes - fix FTBFS with GCC 3.3 due to missing #includes

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Thu, 31 May 2007 23:17:30 +0200

systemtap (0.0.20070512-1) unstable; urgency=low

  * New upstream snapshot
  * Build-depend on elfutils libs (>= 0.127-3) to get new static parts
  * Add patch to handle all conditional syscalls (17-cond-syscalls)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 14 May 2007 19:06:41 +0200

systemtap (0.0.20070505-1) unstable; urgency=low

  * New upstream snapshot
  * Mention CONFIG_DEBUG_FS and CONFIG_RELAY options in README.Debian

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 05 May 2007 20:56:58 +0200

systemtap (0.0.20070421-1) unstable; urgency=low

  * New upstream snapshot
    - this version does not contain code with ambiguous 'else' (closes: #419823)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 24 Apr 2007 20:38:03 +0200

systemtap (0.0.20070414-1) unstable; urgency=low

  * New upstream snapshot
  * Removed patches:
    - 17-gcc-4.3-ftbfs-fix - applied upstream
  * Install "Tapset Developer's Guide"

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 15 Apr 2007 22:18:00 +0200

systemtap (0.0.20070331-1) unstable; urgency=low

  * New upstream snapshot
  * Added patch from Martin Michlmayr to fix FTBFS with GCC 4.3 (closes: #417721)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 04 Apr 2007 15:31:10 +0200

systemtap (0.0.20070324-1) unstable; urgency=low

  * New upstream snapshot
  * Updated patches:
    - 06-static-libdw-fix
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 27 Mar 2007 18:15:48 +0200

systemtap (0.0.20070303-1) unstable; urgency=low

  * New upstream snapshot
  * Patches:
    - 13-perfmon-link - updated
    - 18-examples-stap-path - removed, fixed upstream
    - 19-no-string-const-to-charp - removed, applied upstream
  * Remove debian/patches.disabled - not needed
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun,  4 Mar 2007 20:36:54 +0100

systemtap (0.0.20070217-1) unstable; urgency=low

  * New upstream snapshot
  * Remove usr/share/systemtap/tapset/test in from binary package debian/rules
  * Remove patch 17-include-pgtable_h - it is not needed anymore
  * Update debian/copyright
  * 18-examples-stap-path - new patch, fixes (removes) path to stap executable
    in socktop example
  * 19-no-string-const-to-charp - new patch, fixes build failure with gcc 4.3
    due to "deprecated conversion from string constant to 'char*'" in
    tapsets.cxx

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 19 Feb 2007 17:26:47 +0100

systemtap (0.0.20070113-1) unstable; urgency=low

  * New upstream snapshot
    - should now work with kernels >= 2.6.19 too (closes: #407389)
  * Add '#include <asm/pgtable.h>' in src/runtime/alloc.c to fix undeclared
    PAGE_KERNEL (closes: #407390)
  * Updated debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 19 Jan 2007 11:23:59 +0100

systemtap (0.0.20061202-1) unstable; urgency=low

  * New upstream snapshot
  * Restrict list of architectures to i386, amd64, ia64, s390, and powerpc;
    systemtap can be built on more architectures, but it cannot be used there
  * Drop patches:
    - 03-systemtap-manpages - applied upstream
    - 07-MAP_POPULATE-sparc - sparc is not supported

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 28 Nov 2006 16:09:28 +0100

systemtap (0.0.20061111-1) unstable; urgency=low

  * New upstream snapshot
  * Compile systemtap with perfmon support again:
    - move patches from debian/patches.disabled to debian/patches
    - Build-depend on libpfm3-3.2-dev on ia64, i386, amd64, and mips

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 11 Nov 2006 18:24:24 +0100

systemtap (0.0.20061028-2) unstable; urgency=medium

  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 28 Oct 2006 19:46:57 +0200

systemtap (0.0.20061028-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove patches (fixed/applied upstream):
    - 12-missing-manpages
    - 14-mysql-enable
  * Remove patch (not needed with current version of libpfm3-dev)
    - 11-perfmon-includes (closes: #395484)
  * Do not compile systemtap with perfmon support until it becames less
    RC-buggy
    - comment out part of debian/rules that enables perfmon support
    - move patches needed for perfmon support to debian/patches.disabled
      * 10-perfmon-autoconf
      * 13-perfmon-link
      * 15-perfmon-api-change
    - do not build-depend on libpfm3-dev
  * Do not compress examples
  * Urgency "medium" because of fix for RC bug 395484

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 28 Oct 2006 19:02:24 +0200

systemtap (0.0.20061014-1) unstable; urgency=low

  * New upstream shapshot
  * Build-depend on libmysqlclient15-dev to enable mysql support for lket-b2a
  * Update lket-b2a (1) manpage

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 14 Oct 2006 19:21:08 +0200

systemtap (0.0.20060930-1) unstable; urgency=low

  * New upstream snapshot
    - stapd binary do not exist anymore, it was replaced with staprun program
  * Added NEWS.Debian with instructions how to adjust /etc/sudoers for this
    version
  * s/stapd/staprun/ in README.Debian
  * Removed debian/TODO, README.Debian now contains information from it
  * Added lket-b2a (1) manual page

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun,  1 Oct 2006 20:21:11 +0200

systemtap (0.0.20060916-1) unstable; urgency=low

  * New upstream snapshot
  * Enabled perfmon2 support for ia64 and i386

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 17 Sep 2006 18:45:15 +0200

systemtap (0.0.20060909-1) unstable; urgency=low

  * New upstream snapshot
  * Added script for creating packages for new upstream versions (to be used
    with uscan)
  * Fixed path to stpd in stap(1) manpage

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  9 Sep 2006 23:42:30 +0200

systemtap (0.0.20060902-1) unstable; urgency=low

  * New upstream snapshot

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  2 Sep 2006 17:20:03 +0200

systemtap (0.0.20060826-1) unstable; urgency=low

  * New upstream snapshot
  * Removed patches (applied upstream):
    - 03-systemtap-manpages
    - 08-string-const-to-charp-fix

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 30 Aug 2006 11:20:39 +0200

systemtap (0.0.20060819-1) unstable; urgency=low

  * New upstream snapshot
  * Added watch file
  * Fixed FTBFS with gcc-4.2, thanks to Martin Michlmayr for reporting
    (closes:#383780)
  * Updated README.Debian
  * Build-depend on elfutils libraries with version >= 0.123 as upstream does

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 19 Aug 2006 18:17:58 +0200

systemtap (0.0.20060812-1) unstable; urgency=low

  * New upstream snapshot
  * debian/copyright - updated
  * defined MAP_POPULATE for sparc in librelay.c to fix FTBFS

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 12 Aug 2006 18:27:20 +0200

systemtap (0.0.20060805-1) unstable; urgency=low

  * New upstream shapshot
  * Removed elfutils sources from the package, there are now separate packages
    in the archive; build system adjusted

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon,  7 Aug 2006 19:39:16 +0200

systemtap (0.0.20060722-2) unstable; urgency=low

  * Fixed incorrect usage of bswap_32 macro that caused FTBFS on m68k

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 26 Jul 2006 13:59:17 +0200

systemtap (0.0.20060722-1) unstable; urgency=low

  * New upstream snapshot
  * New upstream version of elfutils (0.122)
  * Added README.Debian with usage instructions
    - added note that systemtap cannot be used with kernels compiled by
      gcc-4.0 due to bug 378628 (closes: #378621)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 24 Jul 2006 01:50:51 +0200

systemtap (0.0.20060701-1) unstable; urgency=low

  * New upstream snapshot

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Thu,  6 Jul 2006 11:43:41 +0200

systemtap (0.0.20060610-1) unstable; urgency=low

  * New upstream snapshot
  * New upstream version of elfutils (0.121)
  * Fixed (hopefully) FTBFS on most architectures

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 17 Jun 2006 01:00:53 +0300

systemtap (0.0.20060513-1) unstable; urgency=low

  * Initial release Closes: #338174

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 16 May 2006 21:29:25 +0300

